import request from '/@/utils/request';
import type { ISaveDefaultHisPharmacistParams } from './types';

/**
 * 设置默认医师
 * @param data 
 * @returns 
 */
export function saveDefaultHisPharmacistApi(params: ISaveDefaultHisPharmacistParams) {
    return request({
        url: '/his/pharmacy/saveDefaultHisPharmacist',
        method: 'post',
        params
    })
}

/**
 * 获取默认医师
 * @param params 
 * @returns 
 */
export function getDefaultHisPharmacistApi(params: { clientCode: string; }) {
    return request({
        url: '/his/pharmacy/loadDefaultPharmacist',
        method: 'post',
        params
    })
}